> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/input-types/what-abac-rule-input.md).

# WhatAbacRuleInput

Input object for creating and updating WHAT ABAC rules in an access control.

```graphql
input WhatAbacRuleInput {
  doTypes: [String!]
  globalPermissions: [String!]
  id: ID
  permissions: [String!]
  rule: AbacComparisonExpressionInput!
  scope: [String!]
}
```

### Fields

#### doTypes ● [`[String!]`](/api/graphql/data-access/scalars/string.md) list scalar <a href="#do-types" id="do-types"></a>

The data object types that will be matched by this ABAC rule.

#### globalPermissions ● [`[String!]`](/api/graphql/data-access/scalars/string.md) list scalar <a href="#global-permissions" id="global-permissions"></a>

In case of a grant, the global permissions that will be granted on the data objects matching the ABAC rule.

#### id ● [`ID`](/api/graphql/data-access/scalars/id.md) scalar <a href="#id" id="id"></a>

The optional ID of the ABAC rule to create or update. If not specified a new ID will be generated.

#### permissions ● [`[String!]`](/api/graphql/data-access/scalars/string.md) list scalar <a href="#permissions" id="permissions"></a>

In case of a grant, the permissions that will be granted on the data objects matching the ABAC rule.

#### rule ● [`AbacComparisonExpressionInput!`](/api/graphql/data-access/input-types/abac-comparison-expression-input.md) non-null input <a href="#rule" id="rule"></a>

The actual boolean expression to define which data objects to match.

#### scope ● [`[String!]`](/api/graphql/data-access/scalars/string.md) list scalar <a href="#scope" id="scope"></a>

The list of data objects in which this ABAC rule will apply. Only descendants of these data objects will be considered.

### Member Of

[`AccessControlInput`](/api/graphql/data-access/input-types/access-control-input.md) input ● [`DataObjectFilterInput`](/api/graphql/data-access/input-types/data-object-filter-input.md) input ● `simulateWhatAbacRuleSummary` query


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/input-types/what-abac-rule-input.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
